#

## pushbutton

Execute the default function associated with a mouse button event.

### Usage:

> pushbutton button

> > where button is one of left, middle, or right.

### Summary:

> The pushbutton command invokes the function "traditionally" associated with the indicated mouse button. However, in Magic-7.3, button actions are treated as macros, and so the button macros are defined, by default, to call the pushbutton command for the indicated button. The button actions no longer recognize button-up events. The action taken by the command depends on where in the netlist window the button was pressed.

### Implementation Notes:

> pushbutton is implemented as a built-in netlist window command in magic. It overrides the default window client pushbutton command.

Return to command index

Last updated: November, 2004